import request from "@/utils/request";

// 查询申请用车列表
export function listCar(query) {
  return request({
    url: "/offcial/car/list",
    method: "get",
    params: query,
  });
}

// 查询申请用车详细
export function getCar(id) {
  return request({
    url: "offcial/car/sel/" + id,
    method: "get",
    // params: data,
  });
}

// 新增申请用车
export function addCar(data) {
  return request({
    url: "/offcial/car/startApplyCar",
    method: "post",
    data: data,
  });
}

// 修改申请用车
export function updateCar(data) {
  return request({
    url: "/offcial/car",
    method: "put",
    data: data,
  });
}

// 删除申请用车
export function delCar(id) {
  return request({
    url: "/offcial/car/" + id,
    method: "delete",
  });
}
